Update connection permissions
curl --request POST \
--url https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id}/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id}/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/integrations/{integration_id}/connections/{connection_id}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations
Update connection permissions
Authorize additional Slack permissions without replaying historical data.
The existing personal connection, account, workspace and data are preserved. Open the returned link immediately and finish consent within ten minutes of issuance. Opening the link does not extend its lifetime. No change occurs until approval.
POST
/
integrations
/
{integration_id}
/
connections
/
{connection_id}
/
permissions
Update connection permissions
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Query Parameters
Was this page helpful?